net.sf.okapi.lib.xliff2.its

## Class TextAnalysis

- java.lang.Object
- - net.sf.okapi.lib.xliff2.its.DataCategory
  - - net.sf.okapi.lib.xliff2.its.TextAnalysis

- All Implemented Interfaces:
    IITSItem

      public class TextAnalysis
      extends DataCategory

  Implements the Text Analysis data category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAnalysis()` Creates an empty `TextAnalysis` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IITSItem` | `createCopy()` Creates a deep-copy clone of this item.
    `java.lang.String` | `getDataCategoryName()` Gets the id/name of this data category.
    `java.lang.String` | `getTaClassRef()`
    `java.lang.Double` | `getTaConfidence()` Gets the `taConfidence` attribute.
    `java.lang.String` | `getTaIdent()`
    `java.lang.String` | `getTaIdentRef()`
    `java.lang.String` | `getTaSource()` Gets the `taSource` attribute.
    `void` | `setTaClassRef(java.lang.String taClassRef)`
    `void` | `setTaConfidence(java.lang.Double taConfidence)` Sets a new `taConfidence` attribute.
    `void` | `setTaIdent(java.lang.String taIdent)`
    `void` | `setTaIdentRef(java.lang.String taIdentRef)`
    `void` | `setTaSource(java.lang.String taSource)` Sets a new `taSource` attribute.
    `void` | `validate()` Validates the data category.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.its.DataCategory

      `getAnnotatorRef, hasUnresolvedGroup, isGroup, setAnnotatorRef, setAnnotatorRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextAnalysis

          public TextAnalysis()

      Creates an empty `TextAnalysis` object.

  - ### Method Detail

    - #### getDataCategoryName

          public java.lang.String getDataCategoryName()

      Description copied from interface: `IITSItem`
      Gets the id/name of this data category.
      Returns:
        the id/name of this data category.

    - #### validate

          public void validate()

      Description copied from interface: `IITSItem`
      Validates the data category. Checks if all required attributes are set properly.

    - #### getTaConfidence

          public java.lang.Double getTaConfidence()

      Gets the `taConfidence` attribute.
      Returns:
        the `taConfidence` attribute (can be null).

    - #### setTaConfidence

          public void setTaConfidence(java.lang.Double taConfidence)

      Sets a new `taConfidence` attribute.
      Parameters:
        `taConfidence` - the new `taConfidence` attribute (between 0.0 and 1.0, or null).

    - #### getTaClassRef

          public java.lang.String getTaClassRef()

    - #### setTaClassRef

          public void setTaClassRef(java.lang.String taClassRef)

    - #### getTaSource

          public java.lang.String getTaSource()

      Gets the `taSource` attribute.
      Returns:
        the `taSource` attribute (can be null).

    - #### setTaSource

          public void setTaSource(java.lang.String taSource)

      Sets a new `taSource` attribute.
      Parameters:
        `taSource` - the new `taSource` attribute (can be null).

    - #### getTaIdent

          public java.lang.String getTaIdent()

    - #### setTaIdent

          public void setTaIdent(java.lang.String taIdent)

    - #### getTaIdentRef

          public java.lang.String getTaIdentRef()

    - #### setTaIdentRef

          public void setTaIdentRef(java.lang.String taIdentRef)

    - #### createCopy

          public IITSItem createCopy()

      Description copied from interface: `IITSItem`
      Creates a deep-copy clone of this item.
      Returns:
        the duplicated item.